List Licenses

List Licenses
List all licenses

List all licenses.

Request
URI
GET
https://{api_host}/ssp/licensing-client/licenses
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

List all licenses.

Returns LicenseList of type(s) application/json
This response body class contains all of the following: ListResult , InlineLicenseList1
{
    "total_result_count": 1,
    "results": [
        {
            "expiration_date": 1766554296443,
            "expiry_date_with_grace_period": 1773466296443,
            "license_id": "K06T7-XDDEQ-L8CN8-LE727-94Q33",
            "license_token": "<JWT_TOKEN>",
            "license_type": "V2",
            "product_display_name": "VMware vDefend Firewall with Advanced Threat Prevention",
            "product_family": "FIREWALL WITH ATP",
            "quantity": 1880,
            "sku_code": "ANS-FW-ATP",
            "source": "LICENSE_HUB",
            "source_id": "",
            "source_version": "",
            "unit_of_measure": "Core"
        }
    ]
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

unexpected error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/ssp/licensing-client/licenses
                
Licensing Client Service Operations
GET
List Licenses